%define version 0.1
%define release 0.beta27
%define name smeserver-dovecot


Summary: Dovecot IMAP server integration
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: Networking/Daemons
Source: %{name}-%{version}.tar.gz

BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArchitectures: noarch
BuildRequires: e-smith-devtools

Requires: e-smith-base >= 5.2.0
Requires: dovecot >= 2.0.15
Requires: dovecot-pigeonhole >= 0.2.4
Requires: dovecot-managesieve >= 0.2.4
Requires: acl

Provides: e-smith-imap
Obsoletes: e-smith-imap

%description
Configure the dovecot IMAP server with sieve scripts support,
quota, ACL, extended logging, master user

%changelog
* Tue Nov 29 2011 Daniel Berteaud <daniel@firewall-services.com> - 0.1
- initial release

%prep
%setup -q -n %{name}-%{version}

%build
%{__mkdir_p} root/var/log/dovecot
%{__mkdir_p} root/var/service/dovecot/ssl
perl createlinks

%install
/bin/rm -rf $RPM_BUILD_ROOT
(cd root   ; /usr/bin/find . -depth -print | /bin/cpio -dump $RPM_BUILD_ROOT)
/bin/rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
   --file /var/service/dovecot/run 'attr(0755,root,root)' \
   --file /var/service/dovecot/log/run 'attr(0755,root,root)' \
   --file /var/service/dovecot/control/1 'attr(0755,root,root)' \
   --dir /var/log/dovecot 'attr(0750,smelog,smelog)' \
   --dir /var/lib/dovecot/sharedmailbox 'attr(2770,root,sharedmailbox)' \
   --file /var/lib/dovecot/sharedmailbox/dict.db 'attr(0660,root,sharedmailbox) %config(noreplace)' \
   --file /usr/bin/imap-postlogin 'attr(0755,root,root)' \
  > %{name}-%{version}-filelist

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)

%clean
rm -rf $RPM_BUILD_ROOT

%pre
/usr/sbin/groupadd -g 439 sharedmailbox 2> /dev/null || :

%post

%preun

